/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: d05_create_cpty_types_crd4.sas
 *
 * PURPOSE: Register regulatory counterparty type in Risk Dimensions
 *   USAGE: 
 *
 *   NOTES: 
 *          
 *
 *****************************************************************************/

%macro d05_create_cpty_types_crd4;

proc risk noseqcheck;

env open = RD_TEMP.&RD_TEMPLATE;

counterparty REGULATORY_CPTY 
    variables = (
                 CPTY_CLASS CPTY_SUBCLASS CPTY_SIZE
                 STD_RW_BUCKET_CPTY STD_RW_BUCKET_SOVEREIGN
                 COUNTERPARTY_PD_MODEL_ID COUNTERPARTY_PD_RATING_GRADE
                 RISK_WEIGHT_CPTY COUNTERPARTY_PD_PCT CPTY_EXT_MAP_RATING
                 COUNTERPARTY_SIZE STD_RW_CPTY STD_RW_CPTY_SHORT PD_CPTY STD_RW_CPTY_PREF
                 REPORT_CURRENCY STD_SOV_DOM_PREF_TREATMENT STD_BANK_DOM_PREF_TREATMENT CPTY_COUNTRY_CURRENCY 
                 STD_ZERO_RW_FLG CENTGOV_TREAT_FLG STD_RW_CPTY_RESERVE CPTY_RW_FROM_CENTGOV_FLG
                 CVA_STD_CPTY_RW_BUCKET 
                 )
    method = PM_REGULATORY_CPTY;
                     
environment save noupdatemetadata;

run;
%mend d05_create_cpty_types_crd4;
