/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: post_regulatory_run_crd4.sas
 *
 * PURPOSE: Post-processing for Regulatory project
 *
 *   USAGE: %post_regulatory_run_crd4;
 *
 *   NOTES: 
 *          
 *          
 *
 *****************************************************************************/
%macro post_regulatory_run_crd4;

/*---------------------------------------------------------------------------
 * Step 1.
 * Run the first 6 jobs regardless of the type of CRM allocation that is requested
 * -------------------------------------------------------------------------*/

    %r00_post_regulatory_0_crd4;

    %r00_post_regulatory_1_crd4; 

/*---------------------------------------------------------------------------
 * Step 2.
 * Break and consolidate child entities for CRM allocation - if requested.
 * -------------------------------------------------------------------------*/

 %if (%UPCASE(&CRM_ALLOCATION_ACROSS_ENTITIES) EQ Y) or (%UPCASE(&CRM_ALLOCATION_ACROSS_ENTITIES) EQ YES) 
 %then     %batch_crm_allocation;
 %else
     %d05_finish_post_process_crd4;


%mend post_regulatory_run_crd4;
