/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: pm_exp_rme_std_crd4.sas
 *
 * PURPOSE: Method program code for Exposures Secured by Residential Immovable 
 *          Properties under STD approach in CRD-IV.
 *
 *   USAGE: %pm_exp_rme_std_crd4;
 *
 *   NOTES: Created 6/13/2013
 *          
 *
 *****************************************************************************/

%macro pm_exp_rme_std_crd4;

/*- initialize outvars -*/
    %initialize_regulatory_outvars;

/*- by default, get the RW associated with the counterparty -*/
    OUTV_RW_COUNTERPARTY = STD_RW_CPTY;
    
   /* OUTV_RW_ISSUE = STD_RW_RME_REF.STD_RW_BUCKET; */
    OUTV_RW_ISSUE = STD_RW_CPTY ;

    _VALUE_ = EXP_VALUE;
    
    
%mend pm_exp_rme_std_crd4;
