/*****************************************************************************
 * Copyright (c) 2012 by SAS Institute Inc., Cary, NC, USA. All Rights Reserved.
 *
 *    NAME: r00_post_regulatory_7_crd4.sas
 *
 * PURPOSE: Prepare for crm allocation through NETFLOW. 
 *
 *
 *   USAGE: 
 *
 *   NOTES:  
 *          
 *
 *****************************************************************************/

%macro r00_post_regulatory_7_crd4;

/*- Only when optimal CRM allocation is required -*/
    %if %upcase(&MITIGANTS_ALLOCATION_METHOD) NE OPTIMAL %then %goto EXIT;

/*- prepare crm allocation -*/
    %prepare_crm_allocation_crd4(EXPCRMDS = &RESLIB1..exposure_crm, 
                            EXPDS    = &RESLIB1..all_exp_incl_sec_underly, 
                            CRMDS    = &RESLIB1..all_crms, 
                            NODEDS   = &RESLIB1..node, 
                            ARCDS    = &RESLIB1..arc, 
                            EXPNOCRM = &RESLIB1..exp_wo_crm, 
                            EXP1CRM1 = &RESLIB1..unique_exp_crm,
                            METHOD   = OPTIMAL
                            );

    %EXIT :

%mend r00_post_regulatory_7_crd4;
